LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XRangeSelectionChangeListener Interface Referencepublished

allows notification when the selected range is changed. More...

`import"XRangeSelectionChangeListener.idl";`

Inheritance diagram for XRangeSelectionChangeListener:

## Public Member Functions
void | descriptorChanged ([in] com::sun::star::sheet::RangeSelectionEvent aEvent)
| is called when the selected range is changed while range selection is active. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows notification when the selected range is changed.

See also
  com::sun::star::sheet::XRangeSelection

Developers Guide
  Spreadsheets - Range Selection

## Member Function Documentation

## ◆ descriptorChanged()

void descriptorChanged | ( | [in] com::sun::star::sheet::RangeSelectionEvent | aEvent | ) |

is called when the selected range is changed while range selection is active.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XRangeSelectionChangeListener.idl